---
updatedAt: 2026-09-18T09:43:13.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get video call data

# Overview

Use this method to get the results of the [video call](https://docs.sumsub.com/sumsub/docs/video-identification) and the call identifier.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View applicants** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/inspections/inspectionId?fields=videoIdentData' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON file that includes the Video Ident data.

| Name             | Type                                 | Description                                                   |
| ---------------- | ------------------------------------ | ------------------------------------------------------------- |
| `id`             | String                               | Inspection identifier.                                        |
| `videoIdentData` | [Object](#videoidentdata-attributes) | Includes the video call data and the Video Ident step status. |

## `videoIdentData` attributes

The following table explains the attributes of the `videoIdentData` object.

| Name                   | Type                                             | Description                                                                                              |
| ---------------------- | ------------------------------------------------ | -------------------------------------------------------------------------------------------------------- |
| `reviewStatus`         | String                                           | Indicates the [current status](https://docs.sumsub.com/sumsub/reference/get-applicant-review-status#review-statuses) of the Video Ident step. |
| `moderatorDisplayName` | String                                           | Video Call operator name.                                                                                |
| `compositions`         | [Array of objects](#compositions-element-fields) | Includes the objects representing the data about each video call.                                        |

## `compositions` element fields

The following table explains the element fields of the `compositions` object which represent the data about each video call.

| Name                   | Type    | Description                                      |
| ---------------------- | ------- | ------------------------------------------------ |
| `compositionCreatedAt` | Date    | Date and time the video composition was created. |
| `compositionDuration`  | Integer | Duration of video composition in seconds.        |
| `compositionMediaId`   | String  | Unique identifier of video composition.          |

## Response example

```json
{
  "id": "5e9412223cc1813b4db0b0e4",
  "videoIdentData": {
    "reviewStatus": "completed",
    "moderatorDisplayName": "John Doe",
    "compositions": [
      {
        "compositionCreatedAt": "2022-07-26 09:02:53",
        "compositionDuration": 1868,
        "compositionMediaId": "62dfae546cef4a0001079b37"
      },
      {
        "compositionCreatedAt": "2022-07-27 07:53:31",
        "compositionDuration": 1868,
        "compositionMediaId": "62e0ef8d7ff76f000176aeb1"
      },
      {
        "compositionCreatedAt": "2022-07-29 07:21:19",
        "compositionDuration": 540,
        "compositionMediaId": "62e38aa5fd6916000172dc23"
      }
    ]
  }
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/inspections/{inspectionId}?fields=videoIdentData": {
      "get": {
        "summary": "Get video call data",
        "description": "",
        "operationId": "get-video-call-data",
        "parameters": [
          {
            "name": "inspectionId",
            "in": "path",
            "description": "Unique combination of digits and characters to identify all actions with the applicant’s ID documents. It is automatically added when the applicant is created.<br><br>To obtain `inspectionId`, use the [following method](https://docs.sumsub.com/sumsub/reference/get-applicant-data).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```